### Method

# Adw PreferencesDialog push_subpage

since: 1.5

#### Declaration [src]

    void
    adw_preferences_dialog_push_subpage (
      AdwPreferencesDialog* self,
      AdwNavigationPage* page
    )

#### Description [src]

Pushes `page` onto the subpage stack of `self`.

The page will be automatically removed when popped.

Available since: 1.5

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The subpage.

  The data is owned by the caller of the method.